Download

The current version is 2.29.1 (2017-03-24).

To install the FRED, you can:

Binary packages

The following platforms are currently supported:

Source packages

Compilation and installation procedure.

  • A fred-db – a collection of SQL scripts to set up PostgreSQL database
  • A fred-idl – CORBA IDL interface definitions for internal inter-process communication
  • D fred-distutils – an enhanced version of python-setuptools necessary for installation of all Python (D) packages
  • D fred-pylogger – a Python wrapper over new logging infrastructure for all Python clients
  • D fred-doc2pdf – a Python wrapper over the rml2pdf project used for the PDF generation of some documents
  • D fred-pyfred – a Python CORBA server and clients for zone-file generator, email communication, technical checks and file-manager components
  • A fred-server – C++ CORBA servers for all FRED functionality
  • A fred-mod-corba – an Apache module serving other two modules (EPP, WHOIS) the common functionality of CORBA communication
  • A fred-mod-eppd – an Apache module for processing and parsing EPP commands and transforming them into CORBA calls to server
  • A fred-mod-whoisd – an Apache module for processing WHOIS commands and transforming them into CORBA calls to server
  • D fred-whois – a simple web version of WHOIS – a Python CORBA client + simpletal templates
  • D fred-webadmin – the web administration of various FRED features (mainly registrar creation and activity inspection)
  • D fred-client – a Python EPP client – a command-line version and an embedded library
  • D fred-transproc – a Python script for querying the various sources of bank transactions and processing them with FRED (tied to Czech environment)
  • D fred-rdap – an RDAP server

A list of all sources in a single file (to use with a download tool).

.cz test package

There is a test environment available for .cz registrations running on FRED. You can use it for quick FRED testing as a Registrar. Download the pre-configured client, unpack the package and run fred-client.

To run the client, you'll need Python version >= 2.4 (download the latest Python 2.x release).